summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-05-25 19:04:56 +0000
committer Eric Hameleers <alien@slackware.com>2023-05-26 13:30:27 +0200
commit51a1adf992e6ce8c8366744365deca62fa88c1b7 (patch)
treebe3564e29c7ff9f2105d8bfe2eac819c374b6fb4 /patches
parent73b668742a86c06c84cde2da658b5135367d23fe (diff)
downloadcurrent-51a1adf992e6ce8c8366744365deca62fa88c1b7.tar.gz
current-51a1adf992e6ce8c8366744365deca62fa88c1b7.tar.xz
Thu May 25 19:04:56 UTC 202320230525190456_15.0
patches/packages/mozilla-thunderbird-102.11.1-x86_64-1_slack15.0.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/102.11.1/releasenotes/ patches/packages/ntfs-3g-2022.10.3-x86_64-1_slack15.0.txz: Upgraded. Fixed vulnerabilities that may allow an attacker using a maliciously crafted NTFS-formatted image file or external storage to potentially execute arbitrary privileged code or cause a denial of service. Thanks to opty. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-40284 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30789 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30788 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30787 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30786 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30785 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30784 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30783 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-46790 (* Security fix *)
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/mozilla-thunderbird-102.11.1-x86_64-1_slack15.0.txt (renamed from patches/packages/mozilla-thunderbird-102.11.0-x86_64-1_slack15.0.txt)0
-rw-r--r--patches/packages/ntfs-3g-2022.10.3-x86_64-1_slack15.0.txt11
-rwxr-xr-xpatches/source/ntfs-3g/ntfs-3g.SlackBuild166
-rw-r--r--patches/source/ntfs-3g/slack-desc19
4 files changed, 196 insertions, 0 deletions
diff --git a/patches/packages/mozilla-thunderbird-102.11.0-x86_64-1_slack15.0.txt b/patches/packages/mozilla-thunderbird-102.11.1-x86_64-1_slack15.0.txt
index 5acb7b92e..5acb7b92e 100644
--- a/patches/packages/mozilla-thunderbird-102.11.0-x86_64-1_slack15.0.txt
+++ b/patches/packages/mozilla-thunderbird-102.11.1-x86_64-1_slack15.0.txt
diff --git a/patches/packages/ntfs-3g-2022.10.3-x86_64-1_slack15.0.txt b/patches/packages/ntfs-3g-2022.10.3-x86_64-1_slack15.0.txt
new file mode 100644
index 000000000..e7abf2657
--- /dev/null
+++ b/patches/packages/ntfs-3g-2022.10.3-x86_64-1_slack15.0.txt
@@ -0,0 +1,11 @@
+ntfs-3g: ntfs-3g (NTFS read-write filesystem driver)
+ntfs-3g:
+ntfs-3g: The NTFS-3G driver is an open source, freely available NTFS driver
+ntfs-3g: for Linux with read and write support. It provides safe and fast
+ntfs-3g: handling of the Windows XP, Windows Server 2003, Windows 2000 and
+ntfs-3g: Windows Vista file systems. Most POSIX file system operations are
+ntfs-3g: supported, with the exception of full file ownership and access
+ntfs-3g: rights support.
+ntfs-3g:
+ntfs-3g: Homepage: http://www.tuxera.com/community/open-source-ntfs-3g/
+ntfs-3g:
diff --git a/patches/source/ntfs-3g/ntfs-3g.SlackBuild b/patches/source/ntfs-3g/ntfs-3g.SlackBuild
new file mode 100755
index 000000000..65366884a
--- /dev/null
+++ b/patches/source/ntfs-3g/ntfs-3g.SlackBuild
@@ -0,0 +1,166 @@
+#!/bin/bash
+
+# Slackware build script for ntfs-3g
+
+# Copyright 2008 Antonio Hernandez Blas <hba.nihilismus@gmail.com>
+# Copyright 2012, 2013, 2015, 2016, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Patrick Volkerding <volkerdi@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=ntfs-3g
+SRCNAM=ntfs-3g
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_slack15.0}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP || exit 1
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-fuse=internal \
+ --disable-ldconfig \
+ --enable-static=no \
+ --build=${ARCH}-slackware-linux \
+ || exit 1
+
+make $NUMJOBS || make || exit 1
+
+# Installation bug kludge:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# I hate to do this (it worked without it before), but recently /bin/ntfs-3g
+# ceased to work for non-root users unless it is setuid root. If anyone has
+# any better ideas, I'd like to hear them.
+chmod 4711 $PKG/bin/ntfs-3g
+
+# Create a mount.ntfs -> mount.ntfs-3g symlink.
+# This causes ntfs-3g to always be used when mounting NTFS filesystems.
+# NOTE: This also seems to make mounting with the old ntfs filesystem
+# impossible. But does anyone care?
+( cd $PKG/sbin ; ln -s mount.ntfs-3g mount.ntfs )
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+rm -rf $PKG/usr/share/doc
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* CREDITS INSTALL NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/patches/source/ntfs-3g/slack-desc b/patches/source/ntfs-3g/slack-desc
new file mode 100644
index 000000000..ef21d1399
--- /dev/null
+++ b/patches/source/ntfs-3g/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ntfs-3g: ntfs-3g (NTFS read-write filesystem driver)
+ntfs-3g:
+ntfs-3g: The NTFS-3G driver is an open source, freely available NTFS driver
+ntfs-3g: for Linux with read and write support. It provides safe and fast
+ntfs-3g: handling of the Windows XP, Windows Server 2003, Windows 2000 and
+ntfs-3g: Windows Vista file systems. Most POSIX file system operations are
+ntfs-3g: supported, with the exception of full file ownership and access
+ntfs-3g: rights support.
+ntfs-3g:
+ntfs-3g: Homepage: http://www.tuxera.com/community/open-source-ntfs-3g/
+ntfs-3g: